import contextlib
import motormove


class GpioContext:
    def __init__(self):
        motormove.setup_gpio()
    
    def close(self):
        motormove.cleanup_gpio()
        


with contextlib.closing(GpioContext()):
    motormove.run('r')
    motormove.motormove('l', 5)

