import time
import RPi.GPIO as  GPIO

MOTOR_RELE_0 = 15
MOTOR_RELE_1 = 16


def setup_gpio():
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(MOTOR_RELE_0, GPIO.OUT)
    GPIO.setup(MOTOR_RELE_1, GPIO.OUT)
    GPIO.output(MOTOR_RELE_0, GPIO.HIGH)
    GPIO.output(MOTOR_RELE_1, GPIO.HIGH)


def cleanup_gpio():
    GPIO.cleanup()


def motormove(direction, delay=3):
    if direction == 'l':
        GPIO.output(MOTOR_RELE_1, GPIO.LOW)
        time.sleep(delay)
        GPIO.output(MOTOR_RELE_1, GPIO.HIGH)
        
    elif direction == 'r':
        GPIO.output(MOTOR_RELE_0, GPIO.LOW)
        time.sleep(delay)
        GPIO.output(MOTOR_RELE_0, GPIO.HIGH)
       
    else:
        pass
    

def stop():
    GPIO.output(MOTOR_RELE_0, GPIO.HIGH)
    GPIO.output(MOTOR_RELE_1, GPIO.HIGH)
    
def run(direction):
    if direction == 'r':
        GPIO.output(MOTOR_RELE_0, GPIO.LOW)
    elif direction == 'l':
        GPIO.output(MOTOR_RELE_1, GPIO.LOW)
    