import mediapipe as mp
import cv2
mp_pose = mp.solutions.pose
pose = mp_pose.Pose(static_image_mode=False,
                    min_detection_confidence=0.7,
                    model_complexity=2)



cap = cv2.VideoCapture(0)
if not cap.isOpened():
    raise IOError("Ошибка")

while True:
        ret, frame = cap.read()
        results = pose.process(frame)
        l = results.pose_landmarks.landmark

            #print(results.pose_landmarks.landmark)
        x = int(l[0].x * frame.shape[1])
        y = int(l[0].y * frame.shape[0])




        
        #cv2.circle(frame, (30,30), 90, -1)
        #cv2.line(frame, (0, 100), (51, 51), (54, 54, 0), 5)
        #cv2.rectangle(frame, (200, 200),(324, 324), (156, 8, 9), 6)
        cv2.imshow('video1', frame)
        if cv.waitKey(1) & 0xFF == ord('q'):
            break


